import java.awt.*;
import java.awt.geom.*;
import java.awt.image.BufferedImage;
import java.io.File;
import java.io.IOException;

import javax.imageio.ImageIO;
import javax.swing.ImageIcon;

/**
 * 
 * @author Oscar Bahamonde & Luis Vera
 *
 */
class GSource extends Source implements Drawable {
    
	private RoundRectangle2D.Float shape = null;	//Nuevo rectangulo de bordes curvos.
    private Color color = Color.BLUE;	//Color azul.
    private static int id = 1;
    private String string;
    
    /**
     * Constructor.	Inicializa un nuevo nodo.
     * @param n		Network
     */
	public GSource(myNetwork n) {
    	super(id++, n);
    	shape = new RoundRectangle2D.Float(0.2f, 0.2f, 40.0f, 40.0f, 60.0f, 40.0f);
    	string = "Source " + (id-1);	//Etiqueta para cada nodo.
    }
    
	/**
	 * Dibuja una figura.
	 * @param g		Grafica donde se dibuja el nodo.
	 */
    public void draw(Graphics2D g) {
    	if (super.getID() == 1) {
    		shape.setFrame(60, super.getID()*20 + 40, 60, 40);	//Posicionar nuevo nodo.
    		g.setColor(color);
            g.fill(shape);
    		g.drawString(string, 65, super.getID()*20 + 90);
    	}
    	else {
    		shape.setFrame(60, super.getID()*60, 60, 40);	//Posicionar nuevo nodo.
    		g.setColor(color);
            g.fill(shape);
			g.drawString(string, 65, super.getID()*60 + 50);
    	}
    }
    
    /**
     * @param x		posicion horizontal de la figura.
     * @param y		posicion vertical de la figura.
     */
    public boolean contains (double x, double y){
        return shape.contains(x,y);
     }
}
